> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Document Signing State

> Marks exercise requests linked to the caller's document PENDING_TOKU_ACCEPTANCE and reports whether everyone signed.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/update-document-signing-state
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/update-document-signing-state:
    post:
      operationId: updateDocumentSigningState
      summary: Update Document Signing State
      description: >-
        Marks exercise requests linked to the caller's document
        PENDING_TOKU_ACCEPTANCE and reports whether everyone signed.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateDocumentSigningStateRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateDocumentSigningStateResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateDocumentSigningStateRequest:
      type: object
      properties:
        documentID:
          type: string
          format: uuid
      required:
        - documentID
    UpdateDocumentSigningStateResponse:
      type: object
      properties:
        hasEveryoneSigned:
          type: boolean
        signedDocumentID:
          type: string
      required:
        - hasEveryoneSigned
        - signedDocumentID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
